wreport::tests::TestFailed Struct Reference

Exception thrown when a test assertion fails, normally by Location::fail_test. More...

`#include <tests.h>`

Inheritance diagram for wreport::tests::TestFailed:

## Public Member Functions

| TestFailed (const std::exception &e)
template<typename ... Args>
| TestFailed (const std::exception &e, Args &&... args)
| TestFailed (const std::string &message)
template<typename ... Args>
| TestFailed (const std::string &message, Args &&... args)
const char * | what () const noexcept override
template<typename ... Args>
void | add_stack_info (Args &&... args)

## Data Fields

std::string | message
TestStack | stack

## Detailed Description

Exception thrown when a test assertion fails, normally by Location::fail_test.

The documentation for this struct was generated from the following file:

- utils/tests.h